Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162001 - Rawhide's GtkTreeView appears to show the final column's content for every column
Summary: Rawhide's GtkTreeView appears to show the final column's content for every co...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 00:24 UTC by Rodd Clarkson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-30 18:57:09 UTC


Attachments (Terms of Use)
Image showing wrong Account names in dialog (deleted)
2005-06-29 00:24 UTC, Rodd Clarkson
no flags Details
Account Editor dialog showing correct Account Name for one mail account (deleted)
2005-06-29 00:26 UTC, Rodd Clarkson
no flags Details

Description Rodd Clarkson 2005-06-29 00:24:47 UTC
The account names are not displayed correctly in Edit > Preferences > Mail Accounts

Check out the two screen shots I've taken of the Evolution Settings dialog with
Mail Accounts displayed and the Account Editor dialog of one of the mail accounts.

Note that the Account names listed in Evolution Settings dialog are the same as
the protocol.

Note that the Account name listed in the Account Editor dialog shows an actual
name (that should be displayed).

This really kills usability in the Mail Accounts section of the Settings dialog.

Comment 1 Rodd Clarkson 2005-06-29 00:24:48 UTC
Created attachment 116098 [details]
Image showing wrong Account names in dialog

Comment 2 Rodd Clarkson 2005-06-29 00:26:08 UTC
Created attachment 116099 [details]
Account Editor dialog showing correct Account Name for one mail account

Comment 3 Dave Malcolm 2005-06-29 20:17:52 UTC
This appears to be a problem with GtkTreeView; it's showing the final column's
content for every column in rawhide.

For another example of this see this email:
https://www.redhat.com/archives/fedora-devel-list/2005-June/msg01430.html

Reassigning component to gtk2

Comment 4 Matthias Clasen 2005-06-30 18:57:09 UTC
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=309221

Comment 5 Paul F. Johnson 2005-07-03 11:24:36 UTC
Also seen with Grip


Note You need to log in before you can comment on or make changes to this bug.